[A201]Distribution of Technical Effects

post
https://connect.patsnap.com/search/company/technology-effect-Distribution
Try in Sandbox

By entering the name of the enterprise, you can quickly query the technical effects that the enterprise is concerned about and the technical research directions it focuses on. Including: functional phrases, the number of patents covered by functional phrases, patent volume/year (patent application year, patent volume)

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
apply_end_time
Required
integer<int32>2020
Patent apply date to, format:yyyy
apply_start_time
Required
integer<int32>2010
Patent apply date from, format:yyyy
company_name
Required
string吉林大学
company name
lang
stringen
Select the language , the default language is en, you can choose cn or en.

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
tech_effect
arrayPlease check the form: TechEffect
tech_effect
name
string车轮
benefit phrase
count
integer<int32>4115
number of patents covered by efficacy phrases
patent_count_year
arrayPlease check the form: NameCount
number of patents per year
count
integer<int32>4115
number of patents covered by efficacy phrases
pbt_year
integer<int32>2015
patent application year
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "tech_effect": [
      {
        "name": "车轮",
        "count": 4115,
        "patent_count_year": [
          {
            "count": 4115,
            "pbt_year": 2015
          }
        ]
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms